# Class: SslOptions

## SslOptions()

SSL options for remote endpoints.

## Constructor

#### new SslOptions()

Source:
  - src/main/js/common/SslOptions.js, line 4

### Methods

#### getAllowAnyCert()

Source:
  - src/main/js/common/SslOptions.js, line 46

#### getAllowedFingerprints()

Source:
  - src/main/js/common/SslOptions.js, line 37

#### getCertificateAuthorityFile()

Source:
  - src/main/js/common/SslOptions.js, line 28

#### getCertificatePath()

Source:
  - src/main/js/common/SslOptions.js, line 19

#### getPrivateKeyPath()

Source:
  - src/main/js/common/SslOptions.js, line 10

#### setAllowAnyCert()

Source:
  - src/main/js/common/SslOptions.js, line 50

#### setAllowedFingerprints()

Source:
  - src/main/js/common/SslOptions.js, line 41

#### setCertificateAuthorityFile()

Source:
  - src/main/js/common/SslOptions.js, line 32

#### setCertificatePath()

Source:
  - src/main/js/common/SslOptions.js, line 23

#### setPrivateKeyPath()

Source:
  - src/main/js/common/SslOptions.js, line 14